.btn-ggr {
  background: #715EFE;
  border-radius: 10px;
  color: #FFF;
  font-size: 15px;
  text-align: center;
  border: none;
  cursor: pointer;
  height: 48px;
  line-height: 48px;
  padding: 0 40px;
  display: block;
  font-family: Montserrat, sant-serif;
  margin-top: 30px;
}

.btn-form-acc {
  background: #71CFB9;
  border-radius: 10px;
  color: #FFF;
  font-size: 15px;
  text-align: center;
  border: none;
  cursor: pointer;
  height: 48px;
  line-height: 48px;
  padding: 0 40px;
  display: block;
  font-family: Montserrat, sant-serif;
  margin-top: 30px;
}

.btn-test-s {
  max-width: 300px;
  background: #715EFE;
  border-radius: 10px;
  color: #FFF;
  font-size: 15px;
  text-align: center;
  border: none;
  cursor: pointer;
  height: 48px;
  line-height: 48px;
  padding: 0 40px;
  display: block;
  font-family: Montserrat, sant-serif;
  margin-top: 30px;
}

.lesson-info__num {
  margin-bottom: 25px;
  flex-wrap: wrap;
}

.lesson-info__num ul {
  flex-wrap: wrap;
}

.course-name {
  font-weight: bold;
  font-size: 1.2em;
}

.delete-course-button {
  width: 120px !important;
  display: flex !important;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.error-wrap {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: rgba(174, 151, 235, 0.5);
  z-index: 999;
}
.error-wrap .alert-danger-m,
.error-wrap .alert-success-m {
  z-index: 5;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-width: 300px;
  min-height: 300px;
  text-align: center;
  color: #FFF;
  /* background-color: #6F5CF8; */
  background-color: var(--eggplants);
  padding: 20px;
  border-radius: 15px;
}

.button-close-message {
  font-family: Montserrat, sans-serif;
  font-size: 16px;
  height: 40px;
  line-height: 40px;
  width: 250px;
  text-align: center;
  margin: 20px 0 15px;
  display: flex;
  align-items: center;
  justify-content: center;
  /* background: #71CFB9; */
  background: #77C182;
  border-radius: 10px;
  color: #FFF;
  font-size: 15px;
  text-align: center;
  border: none;
  cursor: pointer;
  white-space: nowrap;
}

.tox-tinymce {
  border: 2px solid #6F5CF8 !important;
  width: 100% !important;
}

.btn-del-red {
  padding: 0 20px;
  height: 47px;
  line-height: 47px;
  display: flex;
  align-items: center;
  margin-top: 20px;
  width: 230px;
  font-weight: 500;
  justify-content: center;
  background: red;
  border-radius: 10px;
  color: #FFF;
  font-size: 15.1px;
  text-align: center;
  border: none;
  cursor: pointer;
  white-space: nowrap;
}

.lesson-text__txt img {
  -o-object-fit: cover;
     object-fit: cover;
  max-width: 100%;
}

.lesson-presentation-h3 {
  font-weight: bold !important;
}

.mar20e {
  margin-top: 20px;
  color: #343434;
}

.lesson-video__video {
  height: 100%;
  display: block !important;
  margin-bottom: 25px;
  overflow: hidden;
  border: 2px solid #715EFE;
  border-radius: 25px;
}

.lesson-info {
  flex-direction: column;
  align-items: flex-start;
}
.lesson-info__author {
  flex-direction: row;
}

.p-course-name {
  font-weight: bold; 
}
.p-course-color {
  color: #343434 !important;
  font-weight: 400;
  font-size: 16px;
}
.p-course-size {
  font-size: 14px;
}
@keyframes upArrowAnim {
  0% {
    transform: translate(-50%, -65%);
  }
  50% {
    transform: translate(-50%, -25%);
  }
  100% {
    transform: translate(-50%, -65%);
  }
}
.up-button {
  bottom: 25px;
  right: 20px;
  display: block;
  background-color: transparent;
  background: #6F5CF8;
  width: 50px;
  height: 50px;
  border-radius: 100%;
  position: fixed;
  opacity: 0;
  transition: all 0.3s;
  z-index: 9999;
  cursor: pointer;
  transform: rotate(180deg);
}
.up-button path {
  stroke-width: 2px;
}
.up-button_show {
  opacity: 0.8;
}
.up-button__arrow {
  position: absolute;
  width: 25px;
  height: 20px;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  animation: upArrowAnim infinite 2s;
}

.statistics {
  margin-top: 0;
}

.add-lesson__info #name_course_this_lesson {
  visibility: hidden;
  width: 0;
  height: 0;
  margin: 0;
  padding: 0;
  border: 0;
}

.lesson_name_author {
  margin-bottom: 15px !important;
}

.add-lesson__video .btn_video {
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
}
.add-lesson__video .add-lesson__num {
  width: 100%;
  font-weight: 400;
  font-size: 16px;
  color: #343434;
  margin-bottom: 1px;
  margin-top: 22px;
  line-height: 100%;
}
.add-lesson__video .input__file-button {
  background: #71CFB9;
}

.input__wrapper-2 {
  width: 100%;
  position: relative;
  margin: 15px 0;
  text-align: center;
  font-family: Montserrat, sans-serif;
  font-size: 16px;
}
.input__wrapper-2 .input__file {
  opacity: 0;
  visibility: hidden;
  position: absolute;
}
.input__wrapper-2 .input__file-icon-wrapper {
  height: 60px;
  width: 60px;
  margin-right: 15px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-right: 1px solid #fff;
}
.input__wrapper-2 .input__file-button-text {
  line-height: 1;
  margin-top: 1px;
}
.input__wrapper-2 .input__file-button {
  width: 100%;
  max-width: 290px;
  height: 60px;
  background: #71CFB9;
  color: #fff;
  font-size: 1.125rem;
  font-weight: 700;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  border-radius: 3px;
  cursor: pointer;
  margin: 0 auto;
}
.input__wrapper-2 .file-formats {
  text-align: left;
  position: absolute;
  top: 63px;
  left: 0;
  font-size: 10px;
  line-height: 10px;
}

.btn_start-333 {
  position: relative;
  overflow: hidden;
}
.btn_start-333 .preloader-form {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: flex-start;
  display: none;
}
.btn_start-333 .preloader-form div {
  width: 100%;
  background-color: #fff;
  height: 100%;
}
.btn_start-333 .preloader-form img {
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
     object-fit: contain;
}

#course_creator,
#course_picture,
#test_course,
#what_test {
  display: none;
}

.add-test__textarea {
  border: 2px solid #6F5CF8;
  width: 100%;
  height: 400px;
}

.cources-top .select a {
  color: #343434;
}

.right-content__btm__add-test .sort.select {
  visibility: visible;
}
.right-content__btm__add-test .input__wrapper-2 {
  width: auto;
}
.right-content__btm__add-test .input__wrapper-2 .input__file-button {
  max-width: none;
  padding-right: 15px;
}

.lesson-item__btns {
  visibility: hidden;
}

.lesson-info .lesson-info__num {
  width: 100%;
}
.lesson-info .lesson-info__num_author {
  width: auto;
}

.btn-les_hid {
  background: #715EFE;
  border-radius: 10px;
  color: #FFF;
  font-size: 15px;
  text-align: center;
  border: none;
  cursor: pointer;
  padding: 11px;
  margin-bottom: 15px;
  margin-top: 20px;
}

.description_add_les {
  margin-top: 15px;
}
.description_add_les p,
.description_add_les span {
  font-weight: 500;
}
.description_add_les_hid {
  margin-top: 20px;
  margin-bottom: 50px;
  display: none;
}

.row-les-cour {
  justify-content: flex-start;
}
.row-les-cour .btn-d {
  margin-right: 20px;
}

.display-bl {
  display: block;
}

@media screen and (max-width: 768px) {
  .add-lesson__btns {
    position: static;
  }
}
.pagination-course .page-item {
  font-weight: 300;
  font-size: 18px;
  line-height: 24px;
  color: #000000;
  display: block;
  margin: 0 11px;
}
.pagination-course .active {
  font-weight: 700;
}
.pagination-course .pagination .page-item:first-child .page-link,
.pagination-course .pagination .page-item:last-child .page-link {
  color: #71CFB9;
  font-weight: 900;
  font-size: 25px;
  line-height: 25px;
}

.lesson-btm-course .row {
  flex-wrap: wrap;
}
.lesson-btm-course .btn-d {
  margin-right: 15px;
  margin-bottom: 15px;
}

.img-question-4 {
  -o-object-fit: contain;
     object-fit: contain;
  margin-bottom: 20px;
}

.flex-start-2 {
  align-items: flex-start;
}

.lesson-test__step {
  border-radius: 30px;
}

.question-wrapper {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
  flex-wrap: wrap;
}
.question-wrapper .question__wrap-img {
  max-width: 322px;
  height: 200px;
}
.question-wrapper .question__img {
  -o-object-fit: cover;
     object-fit: cover;
  max-width: 100%;
  height: auto;
}

.lesson-test__step {
  padding: 35px 40px 20px 70px;
}

.btn-to-complete {
  border: 1px solid red;
  border-radius: 10px;
  height: 52px;
  line-height: 52px;
  padding: 0 15px;
  font-weight: 500;
  font-size: 16px;
  text-align: center;
  color: #ffffff;
  font-family: Montserrat, sant-serif;
  display: inline-block;
  display: flex;
  align-items: center;
  width: auto;
  position: relative;
  margin-top: 0;
  top: 0;
  background: #fe835e;
}
@media screen and (max-width: 768px) {
  .btn-to-complete {
    font-size: 12px;
    height: 36px;
    line-height: 36px;
    padding: 0 6px;
    min-width: 36px;
    justify-content: center;
  }
}

.popup__bg {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: rgba(0, 0, 0, 0.5);
  opacity: 0;
  pointer-events: none;
  transition: 0.5s all;
}

.popup__bg.active {
  opacity: 1;
  pointer-events: all;
  transition: 0.5s all;
  z-index: 100;
}

.popup {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(0);
  background: #fff;
  width: 100%;
  max-width: 600px;
  transition: 0.5s all;
  box-shadow: 0px 30px 100px rgba(0, 0, 0, 0.1);
  border-radius: 30px;
  padding: 25px 80px 35px;
}

.popup.active {
  transform: translate(-50%, -50%) scale(1);
  transition: 0.5s all;
}

.close-popup {
  position: absolute;
  top: 10px;
  right: 10px;
  cursor: pointer;
}

.select__ttl {
  overflow: hidden;
  width: 100%;
}

.add-lesson__btn-wrap-main {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: flex-start;
  flex-wrap: wrap;
}
.add-lesson__btn-wrap-main .wrap-btn-main {
  min-width: 300px;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  margin-bottom: 15px;
}
.add-lesson__btn-wrap-main .input__wrapper-2 {
  width: 91%;
  margin: 5px 0;
}
.add-lesson__btn-wrap-main .add-lesson__num {
  margin-top: 15px;
}

/* .cources-item */
.last-course__author {
  padding-left: 64px;
}

.last-course__author,
.cources-item {
  position: relative;
  margin-bottom: 20px;
  border-radius: 7px;
}
.last-course__author .p-course-name,
.cources-item .p-course-name {
  color: #000000;
}
.last-course__author small,
.cources-item small {
  font-size: 11px;
}
.last-course__author .last-course__number,
.cources-item .last-course__number {
  position: absolute;
  top: 43%;
  left: 28px;
  color: #343434;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 15px;
  font-weight: bold;
}

.course-link-aut_m {
  position: relative;
  padding-left: 9px;
}
.course-link-aut_m::before {
  content: "";
  position: absolute;
  top: 1px;
  left: -7px;
  width: 2px;
  height: 100%;
  background-color: #71CFB9;
}

.hide-el {
  visibility: hidden;
}

.form-m__wrap {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  margin-bottom: 10px;
}
.form-m__wrap .form-m {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
}
.form-m__wrap .form-m__input {
  min-width: 265px;
  margin-right: 15px;
  background: #FAFAFA;
  border-radius: 5px;
  padding: 0 10px 0 15px;
  font-weight: 400;
  font-size: 14px;
  line-height: 17px;
  color: rgba(0, 0, 0, 0.5);
  height: 33px;
  line-height: 33px;
  cursor: pointer;
  position: relative;
  border: 0.6px solid #71CFB9;
}
.form-m__wrap .form-m__btn {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 10px 15px;
  height: 33px;
  font-family: Montserrat, sans-serif;
  line-height: 20px;
  text-align: left;
  background: #71CFB9;
  border-radius: 10px;
  color: #FFF;
  font-size: 15px;
  border: none;
  cursor: pointer;
  white-space: nowrap;
}

.opacity-btn {
  opacity: 0.5;
}
.last-item-sett {
  position: absolute;
  right: 20px;
}

.students-item__rht .btn-2-add-st,
.last-course__rht .btn-2-add-st {
  width: auto;
  min-width: 139px;
  text-align: center;
  font-size: 14px;
  line-height: 18px;
  padding: 0 7px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #FFF;
  background: #715EFE !important;
}
.students-item__rht .btn-2-add-st__red,
.last-course__rht .btn-2-add-st__red {
  background-color: rgb(228, 57, 57) !important;
}
.students-item__rht .btn-2-add-st:hover,
.last-course__rht .btn-2-add-st:hover {
  opacity: 0.8;
  transition: all 0.3;
}

.messenger-infoView {
  display: none;
}

.rightanswers {
  margin-bottom: 55px;
}

.resultsquestion {
  font-weight: 600 !important;
}

.testanswrs {
  margin-top: 30px;
  margin-bottom: 30px;
}

.rightanswers p {
  font-size: 19px;
}

